DOVEADM-WHO(1)

NAME
doveadm-who - Show who is logged in to the Dovecot server

SYNOPSIS
doveadm [-Dv] [-f formatter] who [-1] [-a anvil_socket_path] [user] [ip[/mask]]

DESCRIPTION
The who command is used to show which users from which hosts are currently connected to which service. @INCLUDE:global-options-formatter@

This command uses by default the output formatter table.

Command specific options:

-1  Print one line per user and connection. Otherwise the connections are grouped by the username.

-a anvil_socket_path
    This option is used to specify an alternative socket. The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    By default doveadm(1) will use the socket @rundir@/anvil. The socket may be located in another directory, when the default base_dir setting was overridden in @pkgsysconfdir@/dovecot.conf.

ARGUMENTS

ip[/mask]
    Specify an ip address or network range, in CIDR notation, to reduce the result to matching connections.

user
    List only users, whose name match user. It's also possible to use wildcards in the user name.

EXAMPLE
Show authenticated sessions, filtered by the client's IP address.

doveadm who ::1
username                       # proto (pids)        (ips)
jane                           2 imap  (30155 30412) (::1)
doveadm who 192.0.2.0/24
username                        # proto (pids)  (ips)
john@example.com                1 imap  (30257) (192.0.2.34)

Show authenticated sessions, filtered by username.

doveadm who pvo
username         # proto (pids)                    (ips)
pvo              1 sieve (30343)                   (fd95:4eed:38ba::25)
pvo              4 imap  (25693 25686 25679 25669) (fd95:4eed:38ba::25)
doveadm who ja*
username                    # proto (pids)        (ips)
james                       1 imap  (30091)       (127.0.0.1)
jane                        2 imap  (30155 30412) (::1)
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-kick(1)